The Umbrella User Guide Developer Hub

Welcome to the Umbrella User Guide developer hub. You'll find comprehensive guides and documentation to help you start working with Umbrella User Guide as quickly as possible, as well as support if you get stuck. Let's jump right in!

Get Started    

The AnyConnect Plugin: Umbrella Roaming Security

Umbrella Packages

Not all features described here are available to or compatible with all Umbrella packages. To determine your current package, navigate to Admin > Licensing. For more information, see Determine Your Current Package.

If you encounter a feature described here that you do not have access to, contact your sales representative for more information. See also, Cisco Umbrella Packages.

Note: For additional information about AnyConnect deployments, see the Cisco AnyConnect Secure Mobility Client Administrator Guide.

If you're familiar with either the Umbrella roaming client or AnyConnect, the number of steps required to perform an upgrade can be shortened considerably. Although there are several steps to consider for full deployment, this quick start guide links you to directions that describe how to manually deploy test installations. There are a variety of ways to deploy the AnyConnect Umbrella module using either the web-deploy method or the pre-deploy method. The web-deploy method requires an ASA, while the pre-deploy method uses standalone binaries that may be executed directly on the localhost or pushed using endpoint management tools like SCCM, GPO, or startup scripts.

Minimum AnyConnect Software Version

Cisco recommends that you always use the latest version of the Umbrella roaming security module. The minimum recommended and supported version is 4.8 MR2+. For AnyConnect version functionality below 4.8 MR2, additional steps are required.


Introduction < The AnyConnect Plugin: Umbrella Roaming Security > Quick Start Guide

Updated 5 months ago

The AnyConnect Plugin: Umbrella Roaming Security


Suggested Edits are limited on API Reference Pages

You can only suggest edits to Markdown body content, but not to the API spec.